## org.apache.el.parser
Class AstCompositeExpression

    java.lang.Object
      org.apache.el.lang.ELSupport
          org.apache.el.parser.SimpleNode
              org.apache.el.parser.AstCompositeExpression

All Implemented Interfaces:
  Node

    public final class AstCompositeExpression

extends SimpleNode

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: markt $
Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary

Fields inherited from class org.apache.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstCompositeExpression(int id)`

Method Summary
`java.lang.Class` `getType(EvaluationContext ctx)`
`java.lang.Object` `getValue(EvaluationContext ctx)`

Methods inherited from class org.apache.el.parser.SimpleNode
`accept, dump, getImage, getMethodInfo, invoke, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

Methods inherited from class org.apache.el.lang.ELSupport
`checkType, coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AstCompositeExpression

    public AstCompositeExpression(int id)

Method Detail

### getType

    public java.lang.Class getType(EvaluationContext ctx)
                            throws javax.el.ELException

  Specified by:
    `getType` in interface `Node`
  Overrides:
    `getType` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### getValue

    public java.lang.Object getValue(EvaluationContext ctx)
                              throws javax.el.ELException

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.